# PDF417方法说明

## PDF417相关方法：
    public boolean addPdf417PositionCount(@IntRange(from = 0,to = 30) int length)
方法说明：设置PDF417位置计数（水平长度）
| 参数名 | 取值范围 | 说明 |
| ---- | ---- | ----|
| length | 0 ～ 30 | 长度 |

    public boolean addPdf417ModuleWidth(@IntRange(from = 2,to = 8) int width)
方法说明：设置PDF417模块宽度。width取值范围为2～8
| 参数名 | 取值范围 | 说明 |
| ---- | ---- | ----|
| width | 2 ～ 8 | 模块宽度 |
    
    public boolean addPdf417SymbolLevelHeight(@IntRange(from = 2,to = 8) int level)
方法说明：设置PDF417高度等级。
| 参数名 | 取值范围 | 说明 |
| ---- | ---- | ---- |
| level | 2 ～ 8 | PDF417高度级别 |

    public boolean addPdf417ErrorCorrectionLevel(@IntRange(from = 48,to = 56) int level)
方法说明：设置PDF417纠错等级。

| 参数名 | 取值范围 | 说明 |
| ---- | ---- | ---- |
| level | 48～56 | 纠错等级 |

level=48纠错等级0；level=49纠错等级1；level=50纠错等级2；level=51纠错等级3；level=52纠错等级4；level=53纠错等级5；level=54纠错等级6；level=55纠错等级7；level=56纠错等级8。

    public boolean addPdf417Options(@IntRange(from = 0,to = 1) int options)
方法说明：设置PDF417选项

| 参数名 | 取值范围 | 说明 |
| ---- | ---- | ---- |
| options | 0或1 | options=0标准PDF417，options=1简单PDF417 |

    public boolean addPdf417Content(String content)
方法说明：设置PDF417内容

| 参数名 | 取值范围 | 说明 |
| ---- | ---- | ---- |
| content | ASCII | PDF417内容 |

    public boolean addPrintPdf417()
方法说明：打印PDF417



## 使用：

```
escCommand = EscCommand.getInstance();
        try {
            escCommand.connect(this, new Observer() {
                @SuppressLint("Assert")
                @Override
                public void success() {
                    //打印PDF417
                    //打印文本
                    escCommand.addText("Print PDF417\n");
                    //设置PDF417单元宽度
                    escCommand.addPdf417ModuleWidth(2);
                    //设置PDF417高度等级
                    escCommand.addPdf417SymbolLevelHeight(8);
                    //设置PDF417纠错等级
                    escCommand.addPdf417ErrorCorrectionLevel(49);
                    //选择PDF417模式
                    escCommand.addPdf417Options(1);
                    //设置PDF417内容
                    escCommand.addPdf417Content("1234567890");
                    //打印PDF417
                    escCommand.addPrintPdf417();
                    escCommand.addPrintAndFeedLines((byte) 8);
                }

                @Override
                public void fail() {
                    Log.e(TAG, "Connection fail");
                }

                @Override
                public void error(Throwable throwable) {
                    Log.e(TAG, "Connection error - " + throwable.toString());
                }

                @Override
                public void other(int code) {
                    Log.e(TAG, "Other error - " + code);
                }
            });
        } catch (IOException e) {
            e.printStackTrace();
        }
```
