# 页模式方法说明

## 页模式相关方法：
    public boolean addSelectPageMode()
方法说明：选择页模式。调用此方法打印机将从标准模式切换到页模式。

    public boolean addSelectStandardMode()
方法说明：选择标准模式。调用此方法打印机将从页模式切换到标准模式。
    
    public boolean addSelectPrintOrientation(int n)
方法说明：页模式中设置打印方向。
| 参数名 | 取值范围 | 说明 |
| ---- | ---- | ---- |
| x | 0～3或48 ～51 | n=0（或n=48） 打印方向由左到右；n=1（或n=49）打印方向由下到上；n=2（或n=50） 打印方向由右到左；n=3（或n=51） 打印方向由上到下。 |

    public boolean addSetPrintArea(int x, int y, int width, int height)
方法说明：页模式中设置打印区域。

| 参数名 | 取值范围 | 说明 |
| ---- | ---- | ---- |
| x | 0 ～ 65535 | 水平位置 |
| y | 0 ～ 65535 | 垂直位置 |
| width | 0 ～ 65535 | 打印区域宽度 |
| height | 0 ～ 65535 | 打印区域高度 |

    public boolean addPageModeVerticalRelativePosition(int position)
方法说明：设置页模式垂直方向相对位置

| 参数名 | 取值范围 | 说明 |
| ---- | ---- | ---- |
| position | 0~65535 | 垂直方向位置 |

    public boolean addPageModeVerticalAbsolutePosition(int position)
方法说明：设置页模式垂直方向绝对位置

| 参数名 | 取值范围 | 说明 |
| ---- | ---- | ---- |
| position | 0~65535 | 垂直方向位置 |

    public boolean addPrintAndSwitchStandardMode()
方法说明：页模式打印并切换到标准模式

    public boolean addPrint()
方法说明：页模式打印数据

    public boolean addCancelPrintData()
方法说明：页模式取消打印数据


## 使用：

```
escCommand = EscCommand.getInstance();
        try {
            escCommand.connect(this, new Observer() {
                @SuppressLint("Assert")
                @Override
                public void success() {
                    //切换到页模式
                    escCommand.addSelectPageMode();
                    //定义打印区域
                    //x,y单位为像素（px）
                    escCommand.addSetPrintArea(0,0,256,300);
                    escCommand.addText("TTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTTT");
                    //打印
                    escCommand.addPrint();
                    //切换回标准模式
                    escCommand.addSelectStandardMode();
                }

                @Override
                public void fail() {
                    Log.e(TAG, "Connection fail");
                }

                @Override
                public void error(Throwable throwable) {
                    Log.e(TAG, "Connection error - " + throwable.toString());
                }

                @Override
                public void other(int code) {
                    Log.e(TAG, "Other error - " + code);
                }
            });
        } catch (IOException e) {
            e.printStackTrace();
        }
```
